## megaclisas-status 0.18

=== debian/changelog ===
megaclisas-status (0.18) unstable; urgency=medium

  * Better handling of Seagate drives serial numbers.
  * Move to Python3 to support newer distributions.
  * Packaging is now able to detect default interpreter and use it.
  * Change distribution tag in version to ease dist upgrades.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 17 Aug 2021 09:56:33 +0200

megaclisas-status (0.17) unstable; urgency=medium

  * CRITICAL: Output text was changed, initscript could not detect broken
    array anymore (Closes: #99).
  * Sync initscript with mpt-status-1.2.0-8 including a fix for defunct
    processes.

 -- Adam Cecile <acecile@le-vert.net>  Wed, 03 Jul 2019 13:38:31 +0200

megaclisas-status (0.16) unstable; urgency=medium

  * JBOD fixes, various minor fixes.
  * Support for alternative tools like storcli and perccli.
  * Add distribution tag to version using lsb-release.

 -- Adam Cecile <acecile@le-vert.net>  Mon, 01 Oct 2018 10:24:39 +0200

megaclisas-status (0.15) unstable; urgency=medium

  * CacheCade, Max LD fixes.
  * Don't email when temperature changes (New --notemp param).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 01 Nov 2016 16:54:26 +0100

megaclisas-status (0.14) unstable; urgency=medium

  * Handle CacheCade devices plus various fixes.

 -- Adam Cécile <gandalf@le-vert.net>  Tue, 15 Mar 2016 14:02:20 +0100

megaclisas-status (0.13) unstable; urgency=medium

  * Fix root privileges detection.

 -- Adam Cécile <gandalf@le-vert.net>  Thu, 18 Feb 2016 11:26:29 +0100

megaclisas-status (0.12) unstable; urgency=medium

  * New release including indexes fixes and hotspare handling.

 -- Adam Cécile <acecile@le-vert.net>  Tue, 16 Feb 2016 08:03:40 +0100

megaclisas-status (0.11) unstable; urgency=medium

  * Revert a commit that broke JBOD disks reporting.

 -- Adam Cécile <acecile@le-vert.net>  Wed, 10 Feb 2016 12:32:53 +0100

megaclisas-status (0.10) unstable; urgency=medium

  * New version including tones of fixes and improvements by
    Vincent S. Cojot, thanks a lot !

 -- Adam Cécile <acecile@le-vert.net>  Wed, 10 Feb 2016 11:05:41 +0100

megaclisas-status (0.9) unstable; urgency=low

  * Fix the duplicate disk issue (Closes: #26).
    Many thanks to Nicolas Raspail who provided a patch.
  * Will now fail if megacli binary cannot be found.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 02 Feb 2012 13:38:15 +0100

megaclisas-status (0.8) unstable; urgency=low

  * Support megacli 8.02.16.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 30 Jan 2012 20:59:13 +0100

megaclisas-status (0.7) unstable; urgency=low

  * Add nagios mode (--nagios).
  * improve disk error reporting.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 31 Oct 2011 15:58:39 +0100

megaclisas-status (0.6) unstable; urgency=low

  * Import init script changes from mpt-status-1.2.0-7 package:
    - Script won't stop anymore because of set -e

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 11 May 2011 14:52:38 +0200

megaclisas-status (0.5) unstable; urgency=low

  * Some new cards report array size in TB.
  * Bump Standards-Version to 3.8.2.
  * Improve debian/copyright.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 27 Jul 2009 10:28:24 +0200

megaclisas-status (0.4) unstable; urgency=low

  * Fix a nasty bug with cards reporting size in GB instead of MB (Closes: #2).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 19 May 2009 18:42:06 +0200

megaclisas-status (0.3) unstable; urgency=low

  * Depends on megacli instead of megaclisas.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 11 Dec 2008 17:41:18 +0100

megaclisas-status (0.2) unstable; urgency=low

  * Packaging cleanup.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 21 Aug 2008 15:36:27 +0200

megaclisas-status (0.1) unstable; urgency=low

  * Initial release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 11 Dec 2007 17:06:56 +0100
