## megaclisas-status 0.19

=== debian/changelog ===
megaclisas-status (0.19) unstable; urgency=medium

  * Prefix all regex strings with "r", lots of warnings on Python 3.13.
  * Bump debhelper compat level from 5 to 7.

 -- Adam Cecile <acecile@le-vert.net>  Wed, 04 Feb 2026 20:16:27 +0100
