=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 7),
  lsb-release,
  python3 | python | python2,
 Standards-Version: 3.9.2
